## org.hibernate
Class PersistentObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.PersistentObjectException

All Implemented Interfaces:
  Serializable

    public class PersistentObjectException

extends HibernateException

Thrown when the user passes a persistent instance to a `Session` method that expects a transient instance.

See Also:
  Serialized Form

Constructor Summary
`PersistentObjectException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistentObjectException

    public PersistentObjectException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.